## zeroc-ice 3.5.1-6.4ubuntu1%2B8.0trisquel1

=== debian/changelog ===
zeroc-ice (3.5.1-6.4ubuntu1+8.0trisquel1) flidas; urgency=medium

  * Remove references to nonfree manual, #7963

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 01 Mar 2019 16:57:53 +0000

zeroc-ice (3.5.1-6.4ubuntu1) xenial; urgency=medium

  * Remove php-zeroc-ice from the build (LP: #1566572).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 05 Apr 2016 16:33:20 -0700

zeroc-ice (3.5.1-6.4build1) xenial; urgency=medium

  * No-change rebuild for ruby2.3-only support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Mar 2016 21:18:15 +0000

zeroc-ice (3.5.1-6.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove dependencies to fix FTBFS bug:
         libmono2.0-cil,
         mono-gmcs
      (Closes: #815775)
      [Note: the Ubuntu source packages zeroc-ice upstream ships have
       far fewer Build-Depends.]

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Fri, 04 Mar 2016 21:54:19 -0500

zeroc-ice (3.5.1-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Remove build-depends on hardening-wrapper
  * debian/libzeroc-ice35v5.lintian-overrides:
    - Fix override for v5 rename
  * debian/patches:
    - Add two patches from upstream git to fix build with ruby2.2:
          ice-6228-fix-build-with-ruby2.2_1.patch
          ice-6228-fix-build-with-ruby2.2_2.patch
      Closes: #791848.
    - Add patch to switch package to using dpkg-buildflags, as there is a
      Breaks: in binutils on hardening-wrapper.  See #802579.
          add-dpkg-buildflags.patch
  * debian/rules:
    - Remove lines for hardening-wrapper
  * Upload will trigger rebuild after update to dh-strip-nondeterminism,
    should fix bug reported by piuparts.  Closes: #803439.

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Thu, 19 Nov 2015 20:35:26 -0500

zeroc-ice (3.5.1-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix enabling parallel builds (Santiago Vila). Closes: #769139.

 -- Matthias Klose <doko@debian.org>  Wed, 28 Oct 2015 16:58:43 +0100

zeroc-ice (3.5.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Matthias Klose ]
  * Build using GCC 5.
  * Rename runtime libraries, follow-up for the libstdc++6 library transition.
    Closes: #791319.

  [ Emmanuel Bourg ]
  * Fix build with OpenJDK 8. Closes: #745100.

  [ Hector Oron ]
  * Enable parallel builds. Closes: #769139.
  * Fix "DEB_HOST_ vs DEB_BUILD_ variable usage mixup". Closes: #763717.

  [ Jean-Baptiste Rouault ]
  * Include generated .rb files in the ruby-zeroc-ice package.
    Closes: #790570.
  * Fix slice2py code generation with Python3. Closes: #790557.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Sep 2015 20:21:11 +0200

=== debian/control ===
Source: zeroc-ice
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Francisco Moya <paco@debian.org>
Uploaders: Cleto Martín <cleto@debian.org>
Build-Depends: debhelper (>= 9),
 	       libdb++-dev,
	       libmcpp-dev (>= 2.7.1),
	       libreadline-gplv2-dev,
	       libexpat1-dev,
	       libssl-dev,
	       libbz2-dev,
 	       zlib1g-dev | libz-dev,
	       python-all-dev (>= 2.3.5-11),
	       python3-all-dev,
	       ruby-dev,
	       ruby,
	       libqt4-dev,
Build-Depends-Indep: mono-devel | c-sharp-2.0-compiler,
		     pkg-config,
 		     default-jdk | java-gcj-compat,
		     libjgoodies-looks-java (>= 2.5.2),
		     libjgoodies-forms-java (>= 1.6.0),
		     proguard (>= 4.1),
 		     libdb5.3-java (>= 5.1.4~) | libdb-java (>= 5.1.4~),
		     ant,
		     ant-optional,
	       	     cli-common-dev (>= 0.8~)
Standards-Version: 3.9.6
Homepage: http://www.zeroc.com/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: zeroc-ice35
Architecture: all
Provides: zeroc-ice
Replaces: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Conflicts: zeroc-ice, zeroc-ice32, zeroc-ice33, zeroc-ice34
Depends: ice35-services (>= ${binary:Version}),
 	 ice35-translators (>= ${binary:Version}),
 	 ice35-slice (>= ${binary:Version}),
 	 libzeroc-ice35-dev (>= ${binary:Version}),
 	 libzeroc-ice3.5-cil (>= ${binary:Version}),
 	 python-zeroc-ice (>= ${binary:Version}),
 	 python3-zeroc-ice (>= ${binary:Version}),
 	 libzeroc-ice3.5-java (>= ${binary:Version}),
 	 ${misc:Depends}
Recommends: libzeroc-ice35-dbg (>= ${binary:Version})
Description: Internet Communications Engine
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This metapackage contains dependencies for all Ice related packages.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: ice35-translators
Architecture: any
Provides: ice-translators, slice2cpp, slice2py, slice2cs, slice2java,
 	  slice2vb, slice2rb, slice2freeze, slice2freezej, slice2docbook,
	  slice2html
Conflicts: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	   slice2freeze, slice2freezej, slice2docbook, slice2html,
 	   ice-translators
Replaces: slice2cpp, slice2py, slice2cs, slice2java, slice2vb, slice2rb,
 	  slice2freeze, slice2freezej, slice2docbook, slice2html,
 	  ice-translators
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Slice translators to several languages
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .
 This package contains all the Slice translators (slice2cpp, slice2py,
 slice2cs, slice2java, slice2vb, slice2rb, slice2freeze,
 slice2freezej, slice2docbook, and slice2html).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: ice35-services
Architecture: any
Provides: ice-services, icestorm, icegrid, icepatch2, glacier2, freeze
Replaces: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	  freeze, ice-services
Conflicts: zeroc-ice-services, icestorm, icegrid, icepatch2, glacier2,
 	   freeze, ice-services
Depends: icebox (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: Services bundled into ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package contains binaries for all Ice services (IceGrid,
 IceStorm, IcePatch2, Glacier2 and Freeze).  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicestorm35v5
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicestorm35
Replaces: libicestorm35
Description: Libraries implementing an event service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceStorm related libraries, an asynchronous
 event propagation service provided by Ice.  You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicegrid35v5
Architecture: any
Section: libs
Recommends: libqt4-sql-sqlite
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicegrid35
Replaces: libicegrid35
Description: Libraries implementing grid-like services for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceGrid related libraries, a complete grid
 management solution included in Ice. This service was formerly known
 as IcePack.  You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libicebox35v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libicebox35
Replaces: libicebox35
Description: Libraries implementing a plugin framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related libraries, a general purpose
 plug-in based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: icebox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Plugin-based meta-application for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IceBox related utilities, a general purpose
 plugin-based application development framework for Ice applications.
 You will find further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libicepatch2-35v5
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libicepatch2-35
Replaces: libicepatch2-35
Description: Libraries implementing a distribution service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the IcePatch2 related libraries, a remote
 filesystem synchronization framework included in Ice.  You will find
 further information in the ZeroC home page
 (http://www.zeroc.com/ice.html).

Package: libglacier2-35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libglacier2-35
Replaces: libglacier2-35
Description: Libraries implementing a firewall service for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 This package provides the Glacier2 related libraries, a firewall
 solution for Ice applications.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libfreeze35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libfreeze35
Replaces: libfreeze35
Description: Libraries implementing a persistence framework for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the freeze libraries.  You will find further information in
 the ZeroC home page (http://www.zeroc.com/ice.html).

Package: libicedb35v5
Architecture: any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libicedb35
Replaces: libicedb35
Description: Libraries for persistent backends for ZeroC Ice
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms.
 .
 Freeze is the persistence framework included in Ice. This package
 installs the Berkeley DB libraries for Freeze. You will find further
 information in the ZeroC home page (http://www.zeroc.com/ice.html).

Package: ice35-slice
Architecture: all
Provides: ice-slice
Replaces: ice-slice
Conflicts: ice-slice
Depends: ${misc:Depends}
Description: Slice definitions for Ice services
 Ice, the Internet Communications Engine, is a middleware for the
 practical programmer developed by ZeroC Inc. A high-performance
 Internet communications platform, Ice includes a wealth of layered
 services and plug-ins.
 .
 Ice is built on concepts which will be familiar to CORBA programmers,
 and supports a wide variety of programming languages and runtime
 platforms. Slice is the interface description language used in Ice.
 .

## zeroc-ice 3.6.2-stretch-51

=== java/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

ifneq ($(prefix),)
INSTALL_FLAGS += -Pprefix=$(prefix)
endif

ifneq ($(DESTDIR),)
INSTALL_FLAGS += -PDESTDIR=$(DESTDIR)
endif

ifeq ($(GRADLE),)
GRADLE = ./gradlew
endif

all:
	$(GRADLE) $(BUILD_FLAGS) build

dist:
	$(GRADLE) $(BUILD_FLAGS) dist

clean:
	$(GRADLE) clean

install::
	$(GRADLE) $(INSTALL_FLAGS) install

test::
	@python ./allTests.py

=== python/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= .

include $(top_srcdir)/config/Make.rules

SUBDIRS		= modules python

INSTALL_SUBDIRS = $(install_pythondir) $(install_libdir)

install:: install-common
	@for subdir in $(INSTALL_SUBDIRS); \
	do \
	    if test ! -d $(DESTDIR)$$subdir ; \
	    then \
		echo "Creating $(DESTDIR)$$subdir..." ; \
		mkdir -p $(DESTDIR)$$subdir ; \
		chmod a+rx $(DESTDIR)$$subdir ; \
	    fi ; \
	done

$(EVERYTHING)::
	@for subdir in $(SUBDIRS); \
	do \
	    echo "making $@ in $$subdir"; \
	    ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
	done

test::
	@python $(top_srcdir)/allTests.py

=== cpp/src/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ..

include $(top_srcdir)/config/Make.rules

ifneq ($(findstring MINGW,$(UNAME)),)
    SUBDIRS	= IceUtil \
		  Slice \
		  slice2cpp \
		  Ice \
		  IceSSL \
		  IceDiscovery \
		  IceLocatorDiscovery
else
    SUBDIRS	= IceUtil \
		  Slice \
		  slice2cpp \
		  slice2cs \
		  slice2freeze \
		  slice2freezej \
		  slice2java \
		  slice2php \
		  slice2html \
		  slice2js

ifeq ($(UNAME),Darwin)
    SUBDIRS	:= $(SUBDIRS) slice2objc
endif

    SUBDIRS	:= $(SUBDIRS) \
		   Ice \
		   IceXML \
		   IceSSL \
		   IceDiscovery \
		   IceLocatorDiscovery \
		   Freeze \
		   FreezeScript \
		   IceBox \
		   Glacier2Lib \
		   Glacier2CryptPermissionsVerifier \
		   Glacier2 \
		   IcePatch2Lib \
		   IcePatch2 \
		   IceStormLib \
		   IceGridLib \
		   IceStorm \
		   IceGrid
endif

.PHONY: $(EVERYTHING) $(SUBDIRS)

#
# Dependencies for 'all' target when using -jx
#

Slice: IceUtil

slice2cpp slice2cs slice2freeze slice2freezej slice2java slice2js slice2php slice2html slice2objc: Slice

Ice: slice2cpp

IceXML IceSSL Freeze FreezeScript IceBox Glacier2Lib IcePatch2Lib IceStormLib IceGridLib: Ice

Freeze: slice2freeze

FreezeScript: Freeze

Glacier2 IceGridLib Glacier2CryptPermissionsVerifier: Glacier2Lib

IcePatch2: IcePatch2Lib

IceStorm: IceBox IceStormLib IceGridLib Glacier2Lib Freeze

IceGrid: IceGridLib IceStorm IcePatch2Lib Freeze IceSSL IceBox IceXML

IceDiscovery IceLocatorDiscovery: Ice

all:: $(SUBDIRS)

$(SUBDIRS):
	@echo "making all in $@"
	@$(MAKE) all --directory=$@

$(EVERYTHING_EXCEPT_ALL)::
	@for subdir in $(SUBDIRS); \
        do \
            if test -d $$subdir ; \
            then \
                echo "making $@ in $$subdir"; \
                ( cd $$subdir && $(MAKE) $@ ) || exit 1; \
            fi; \
        done

=== cpp/src/IcePatch2Lib/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../..

LIBFILENAME	= $(call mklibfilename,IcePatch2,$(VERSION))
SONAME     	= $(call mksoname,IcePatch2,$(SOVERSION))
LIBNAME		= $(call mklibname,IcePatch2)

TARGETS   	= $(call mklibtargets,$(libdir)/$(LIBFILENAME),$(libdir)/$(SONAME),$(libdir)$(cpp11libdirsuffix)/$(LIBNAME))

SLICE_OBJS	= FileInfo.o \
		  FileServer.o

OBJS		= ClientUtil.o \
		  Util.o \
		  $(SLICE_OBJS)

HDIR		= $(headerdir)/IcePatch2
SDIR		= $(slicedir)/IcePatch2

include $(top_srcdir)/config/Make.rules

CPPFLAGS	:= -I. -I.. $(CPPFLAGS) $(BZIP2_FLAGS) -Wno-deprecated-declarations
SLICE2CPPFLAGS	:= --ice --include-dir IcePatch2 --dll-export ICE_PATCH2_API $(SLICE2CPPFLAGS)
LINKWITH	:= $(BZIP2_RPATH_LINK) -lIce -lIceUtil $(BZIP2_LIBS)

$(libdir)/$(LIBFILENAME): $(OBJS)
	@mkdir -p $(dir $@)
	rm -f $@
	$(call mkshlib,$@,$(SONAME),$(OBJS),$(LINKWITH))

$(libdir)/$(SONAME): $(libdir)/$(LIBFILENAME)
	rm -f $@
	ln -s $(LIBFILENAME) $@

$(libdir)$(cpp11libdirsuffix)/$(LIBNAME): $(libdir)/$(SONAME)
	rm -f $@
	ln -s $(cpp11sonamedir)$(SONAME) $@

install:: all
	$(call installlib,$(DESTDIR)$(install_libdir),$(libdir),$(LIBFILENAME),$(SONAME),$(LIBNAME))

=== cpp/src/IceSSL/Makefile ===

# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../..

LIBFILENAME	= $(call mklibfilename,IceSSL,$(VERSION))
SONAME		= $(call mksoname,IceSSL,$(SOVERSION))
LIBNAME		= $(call mklibname,IceSSL)

TARGETS		= $(call mklibtargets,$(libdir)/$(LIBFILENAME),$(libdir)/$(SONAME),$(libdir)$(cpp11libdirsuffix)/$(LIBNAME))

SLICE_OBJS	= ConnectionInfo.o \
		  EndpointInfo.o

OBJS		= AcceptorI.o \
		  Certificate.o \
		  ConnectorI.o \
		  EndpointI.o \
		  Instance.o \
		  PluginI.o \
		  RFC2253.o \
		  SSLEngine.o \
		  TrustManager.o \
		  Util.o \
		  $(SLICE_OBJS)

ifneq ($(findstring MINGW,$(shell uname)),)
OBJS		:= $(OBJS) \
		   SChannelEngine.o \
		   SChannelTransceiverI.o
else
ifeq ($(shell uname),Darwin)
OBJS		:= $(OBJS) \
		   SecureTransportEngine.o \
		   SecureTransportTransceiverI.o
else
OBJS		:= $(OBJS) \
		   OpenSSLEngine.o \
		   OpenSSLTransceiverI.o
endif
endif

HDIR		= $(headerdir)/IceSSL
SDIR  		= $(slicedir)/IceSSL

include $(top_srcdir)/config/Make.rules

CPPFLAGS		:= -I.. $(CPPFLAGS) -DICE_SSL_API_EXPORTS $(OPENSSL_FLAGS)
SLICE2CPPFLAGS	:= --ice --include-dir IceSSL --dll-export ICE_SSL_API $(SLICE2CPPFLAGS)

LINKWITH        := $(BZIP2_RPATH_LINK) -lIce -lIceUtil $(SSL_OS_LIBS) $(CXXLIBS)

ifeq ($(STATICLIBS),yes)
$(libdir)/$(LIBNAME): $(OBJS)
	@mkdir -p $(dir $@)
	rm -f $@
	$(call mklib,$@,$(OBJS))
else
$(libdir)/$(LIBFILENAME): $(OBJS)
	@mkdir -p $(dir $@)
	rm -f $@
	$(call mkshlib,$@,$(SONAME),$(OBJS),$(LINKWITH))

$(libdir)/$(SONAME): $(libdir)/$(LIBFILENAME)
	rm -f $@
	ln -s $(LIBFILENAME) $@

$(libdir)$(cpp11libdirsuffix)/$(LIBNAME): $(libdir)/$(SONAME)
	@mkdir -p $(libdir)$(cpp11libdirsuffix)
	rm -f $@
	ln -s $(cpp11sonamedir)$(SONAME) $@
endif

install:: all
	$(call installlib,$(DESTDIR)$(install_libdir),$(libdir),$(LIBFILENAME),$(SONAME),$(LIBNAME))

=== cpp/src/IceUtil/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../..

LIBFILENAME	= $(call mklibfilename,IceUtil,$(VERSION))
SONAME		= $(call mksoname,IceUtil,$(SOVERSION))
LIBNAME		= $(call mklibname,IceUtil)
TARGETS		= $(call mklibtargets,$(libdir)/$(LIBFILENAME),$(libdir)/$(SONAME),$(libdir)$(cpp11libdirsuffix)/$(LIBNAME))

OBJS		= ArgVector.o \
		  Cond.o \
		  ConvertUTF.o \
		  CountDownLatch.o \
		  CtrlCHandler.o \
		  Exception.o \
		  FileUtil.o \
		  InputUtil.o \
		  MutexProtocol.o \
		  Options.o \
		  OutputUtil.o \
		  Random.o \
		  RecMutex.o \
		  SHA1.o \
		  Shared.o \
		  StringConverter.o \
		  StringUtil.o \
		  Thread.o \
		  ThreadException.o \
		  Time.o \
		  Timer.o \
		  Unicode.o \
		  UUID.o

include $(top_srcdir)/config/Make.rules

CPPFLAGS        := $(CPPFLAGS) $(ICEUTIL_FLAGS) -DICE_UTIL_API_EXPORTS -I..
LINKWITH        := $(ICEUTIL_OS_LIBS)

ifeq ($(STATICLIBS),yes)
$(libdir)/$(LIBNAME): $(OBJS)
	@mkdir -p $(dir $@)
	rm -f $@
	$(call mklib,$@,$(OBJS))
else
$(libdir)/$(LIBFILENAME): $(OBJS)
	@mkdir -p $(dir $@)
	rm -f $@
	$(call mkshlib,$@,$(SONAME),$(OBJS),$(LINKWITH))

$(libdir)/$(SONAME): $(libdir)/$(LIBFILENAME)
	rm -f $@
	ln -s $(LIBFILENAME) $@

$(libdir)$(cpp11libdirsuffix)/$(LIBNAME): $(libdir)/$(SONAME)
	@mkdir -p $(libdir)$(cpp11libdirsuffix)
	rm -f $@
	ln -s $(cpp11sonamedir)$(SONAME) $@
endif

install:: all
	$(call installlib,$(DESTDIR)$(install_libdir),$(libdir),$(LIBFILENAME),$(SONAME),$(LIBNAME))

=== cpp/src/slice2html/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../..

NAME		= $(bindir)/slice2html

TARGETS		= $(NAME)

OBJS		= Gen.o \
		  Main.o

RPATH_DIR	= $(LOADER_PATH)/../$(libsubdir)

include $(top_srcdir)/config/Make.rules

CPPFLAGS	:= -I. $(CPPFLAGS)

$(NAME): $(OBJS)
	rm -f $@
	$(CXX) $(LDFLAGS) $(LDEXEFLAGS) -o $@ $(OBJS) $(SLICE_LIBS) $(MCPP_RPATH_LINK)

install:: all
	$(call installprogram,$(NAME),$(DESTDIR)$(install_bindir))
	$(call installdata,$(top_srcdir)/../man/man1/slice2html.1,$(DESTDIR)$(install_mandir))

=== cpp/test/Ice/logger/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../../..

CLIENT1		= $(call mktestname,client1)
CLIENT2		= $(call mktestname,client2)
CLIENT3		= $(call mktestname,client3)
CLIENT4		= $(call mktestname,client4)

TARGETS		= $(CLIENT1) $(CLIENT2) $(CLIENT3) $(CLIENT4)

C1OBJS		= Client1.o
C2OBJS		= Client2.o
C3OBJS		= Client3.o
C4OBJS		= Client4.o

OBJS		= $(C1OBJS) \
		  $(C2OBJS) \
		  $(C3OBJS) \
		  $(C4OBJS)

include $(top_srcdir)/config/Make.rules

CPPFLAGS	:= -I. -I../../include $(CPPFLAGS)

LINKWITH	:= $(LIBS) $(ICONV_LIBS)

$(CLIENT1): $(C1OBJS)
	rm -f $@
	$(call mktest,$@,$(C1OBJS),$(LINKWITH))

$(CLIENT2): $(C2OBJS)
	rm -f $@
	$(call mktest,$@,$(C2OBJS),$(LINKWITH))

$(CLIENT3): $(C3OBJS)
	rm -f $@
	$(call mktest,$@,$(C3OBJS),$(LINKWITH))

$(CLIENT4): $(C4OBJS)
	rm -f $@
	$(call mktest,$@,$(C4OBJS),$(LINKWITH))

=== cpp/test/Ice/operations/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../../..

CLIENT		= $(call mktestname,client)
SERVER		= $(call mktestname,server)
SERVERAMD	= $(call mktestname,serveramd)
COLLOCATED	= $(call mktestname,collocated)

TARGETS		= $(CLIENT) $(SERVER) $(SERVERAMD) $(COLLOCATED)

SLICE_OBJS	= Test.o TestAMD.o

COBJS		= Test.o \
		  Client.o \
		  AllTests.o \
		  Twoways.o \
		  Oneways.o \
		  TwowaysAMI.o \
		  OnewaysAMI.o \
		  BatchOneways.o \
		  BatchOnewaysAMI.o

SOBJS		= Test.o \
		  TestI.o \
		  Server.o \

SAMDOBJS	= TestAMD.o \
		  TestAMDI.o \
		  ServerAMD.o

COLOBJS		= Test.o \
		  TestI.o \
		  Collocated.o \
		  AllTests.o \
		  Twoways.o \
		  Oneways.o \
		  TwowaysAMI.o \
		  OnewaysAMI.o \
		  BatchOneways.o \
		  BatchOnewaysAMI.o

OBJS		= $(COBJS) \
		  $(SOBJS) \
		  $(SAMDOBJS) \
		  $(COLOBJS)

include $(top_srcdir)/config/Make.rules

CPPFLAGS	:= -I. -I../../include $(CPPFLAGS)

$(CLIENT): $(COBJS)
	rm -f $@
	$(call mktest,$@,$(COBJS),$(LIBS))

$(SERVER): $(SOBJS)
	rm -f $@
	$(call mktest,$@,$(SOBJS),$(LIBS))

$(SERVERAMD): $(SAMDOBJS)
	rm -f $@
	$(call mktest,$@,$(SAMDOBJS),$(LIBS))

$(COLLOCATED): $(COLOBJS)
	rm -f $@
	$(call mktest,$@,$(COLOBJS),$(LIBS))

=== cpp/test/IceSSL/configuration/Makefile ===
# **********************************************************************
#
# Copyright (c) 2003-2016 ZeroC, Inc. All rights reserved.
#
# This copy of Ice is licensed to you under the terms described in the
# ICE_LICENSE file included in this distribution.
#
# **********************************************************************

top_srcdir	= ../../..

CLIENT		= $(call mktestname,client)
SERVER		= $(call mktestname,server)

TARGETS		= $(CLIENT) $(SERVER)

SLICE_OBJS	= Test.o

COBJS		= $(SLICE_OBJS) \
		  Client.o \
		  AllTests.o

SOBJS		= $(SLICE_OBJS) \
		  TestI.o \
		  Server.o

OBJS		= $(COBJS) \
		  $(SOBJS)

GENPIC          = no

include $(top_srcdir)/config/Make.rules

CPPFLAGS	:= -I. -I../../include $(CPPFLAGS) 

ifeq ($(UNAME),Darwin)
LINK_WITH = -framework Security -framework CoreFoundation
endif

ifeq ($(UNAME),MINGW)
LINK_WITH = $(SSL_OS_LIBS)
endif

$(CLIENT): $(COBJS)
	rm -f $@
	$(call mktest,$@,$(COBJS),$(ICESSL_LIBS) $(LINK_WITH) $(LIBS))

$(SERVER): $(SOBJS)
	rm -f $@
	$(call mktest,$@,$(SOBJS),$(ICESSL_LIBS) $(LINK_WITH) $(LIBS))
